from Ft.Lib import UriException

try:
    import os, gettext
    locale_dir = os.path.split(__file__)[0]
    gettext.install('4Suite', locale_dir)
except (AttributeError, IOError):
    def _(msg):
        return msg


URI = {
    UriException.INVALID_BASE_URI: _("Invalid base URI: %s"),

    UriException.RELATIVE_DOCUMENT_URI: _("Document URI must be an absolute URI, not %s."),
    UriException.RELATIVE_BASE_URI: _("Base URI must be an absolute URI, not %s."),
    UriException.OPAQUE_BASE_URI: _( "Base URI %s appears to be opaque, not hierarchical; "
                                     "cannot resolve reference %s"),

    UriException.NON_FILE_URI: _("Only a 'file' URI can be converted to an OS-specific path; "
                                 "URI given was %r"),
    UriException.UNIX_REMOTE_HOST_FILE_URI: _("A URI containing a remote host name cannot be "
                                              "converted to a path on this OS; URI given was %r"),
    UriException.RESOURCE_ERROR: _("Error retrieving resource %r: %s"),
    }
