########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Client/Commands/Fetch/Document.py,v 1.9 2003/03/20 03:50:18 mbrown Exp $
"""
Implementation of '4ss fetch document' command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """Fetches an XML Document from the 4Suite repository."""

import sys, warnings
from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil

def Run(options,args):
    output = sys.stdout
    quiet = options.get('quiet')

    if options.has_key('no-traverse'):
	warnings.warn("You are using a deprecated alias traversal feature. Please specify with path arguments ;traverse or ;no-traverse",
		      DeprecationWarning, 1)
	path += ";no-traverse"


    try:
        repo = CommandUtil.GetRepository(options,'4ss.fetch.document')
        try:
            doc = repo.fetchResource(
                args['name'])
            if not options.get('quiet', 0):
                sys.stdout.write("Document %s (%s)" % (doc.getPath(), doc.getImt()))
                sys.stdout.write("\n"+"-"*40+"\n")
            sys.stdout.write(doc.getContent())
            if not options.get('quiet', 0):
                sys.stdout.write("\n")
        finally:
            try:
                repo.txRollback()
            except:
                pass
    except FtServerClientException, e:
        sys.stderr.write(str(e)+'\n')
        return


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('document',
                          'Fetches an XML Document from the 4Suite repository.',
                          '/ftss/demos/index.html',
                          __doc__,
                          function=Run,
                          arguments=[Arguments.RequiredArgument('name',
                                                                'The name (repo path) of document to fetch',
                                                                str),
                                       ],
                          options=Options.Options([Options.Option(None,
                                                                  'no-traverse',
                                                                  "Don't traverse aliases. This option has been deprecated in favor of ;no-traverse in the path"),
                                                   Options.Option('q', 'quiet', 'Present no output except for errors or any resulting document'),
                                                  ]),
                          fileName=__file__,
                          )
    return cmd


