########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Server/Commands/Log/View.py,v 1.5 2003/02/27 09:48:57 mbrown Exp $
"""
4ss_manager log view command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """View the logs"""

import time, sys

from Ft.Server.Server.Commands import CommandUtil
from Ft.Server.Server import FtServerServerException, Error
from Ft.Server.Server import SCore
from Ft.Server.Server.Lib import LogUtil

def Run(options,args):

    fileName = 'error.log'
    lastEnd = None
    delay = int(options.get('delay',5))

    #Get once to login and verify ACL
    u,p,props,repo = CommandUtil.GetRepository(options,'4ss_manager.log.view')
    repo.txRollback()

    try:
        while 1:
            repo = SCore.GetRepository(u,p,LogUtil.NullLogger(),props)
            try:
                log = repo.fetchResource('/ftss').fetchResource(fileName)
                if lastEnd is None or log.getSize() < lastEnd:
                    #They been cleared
                    lastEnd = log.getSize() - 1000
                    if lastEnd < 0: lastEnd = 0
                cont = log.getContentSlice(lastEnd,None)
                lastEnd = lastEnd + len(cont)
                sys.stdout.write(cont)
            finally:
                repo.txCommit()
            time.sleep(delay)
    except FtServerServerException, e:
        if e.code == Error.UNKNOWN_PATH:
            e = FtServerServerException(Error.LOG_URIREF_MISSING, path=e.args['path'])
        sys.stdout.flush()
        sys.stderr.write(e.message)
        if sys.stderr.isatty():
            sys.stderr.write('\n')
        return


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('view',
                          'View a 4SS Log',
                          '',
                          __doc__,
                          function = Run,
                          options = Options.Options([Options.Option(None,
                                                                    'delay=secs',
                                                                    "Delay between updates, default is 5"),
                                                     ]),


                          fileName = __file__,
                          )
    return cmd


