from Ft.Lib.CommandLine import Options, CommandLineApp
from Ft.Server import FtServerBaseException

# These options are available for all commands
g_options = [
    Options.Option('u',
                   'username=',
                   'connect using the given user name'),
    Options.Option('p',
                   'password=',
                   'connect using the given password'),
    Options.Option('I',
                   'core-id=name',
                   'use alternative core section (default Core)'),
    Options.Option('C',
                   'config-file=filename',
                   'use alterntive configuration file in the configuration directory'),
    ]

__doc__ = """Command line application to run 4SS management tools.
You will need manager ACL permissions to perform tasks using this tool."""

import Init
import Log
import Start
import Stop
import Restart
#import Reload
#import Status
import Recompile
import Backup
#import Restore

g_commands = [
    # These commands deal directly with the data store
    Init, Backup, #Restore,
    Recompile,

    # These commands are for the server application
    Start, Stop, Restart, #Reload, Status,
    Log,
    ]



class ManagerCommandLineApp(CommandLineApp.CommandLineApp):

    def __init__(self):
        CommandLineApp.CommandLineApp.__init__(
            self,
            '4ss_manager',
            'Application to run 4SS management tools',
            __doc__,
            map(lambda x: x.Register(), g_commands),
            options=g_options,
            fileName=__file__,
            )

    def run(*args, **kwords):
        try:
            return CommandLineApp.CommandLineApp.run(*args, **kwords)
        except FtServerBaseException,e:
            print e
