<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" 
                xmlns:tech="http://FourThought.com/namespaces/Technical">

  <xsl:template match="/">
    <HTML>
    <HEAD><TITLE>Use Case Specification</TITLE>
    </HEAD>
    <BODY>
    <xsl:apply-templates/>

<!-- link to Contract here? -->
    </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="tech:useCaseSpec">
	<H1><DIV ALIGN="CENTER">Use Case Specification</DIV></H1>
        <xsl:apply-templates select="tech:Header|
                                tech:system|
				tech:objective|
				tech:actor|
				tech:precondition|
				tech:eventFlow|
				tech:postcondition"/>
  </xsl:template>

  <xsl:template match="tech:useCaseSpec">
	<H3>Use Case</H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="tech:Header|system">
	<BR class='hack'/>
	<HR class='hack'/>
	<P>Document Init:</P>
            <I><xsl:value-of select="@initDate"/></I>
        <P>Document Purpose: </P>
            <I><xsl:value-of select="@desc"/></I>
        <P>Document Legend:</P>
        <xsl:apply-templates select="Pre"/>
	<BR class='hack'/>
	<HR class='hack'/>
	<H3>System Description</H3>
  </xsl:template>

  <xsl:template match="tech:objective">
	<BR class='hack'/>
	<HR class='hack'/>
	<H3>Objective: <I><xsl:value-of select="@name"/></I></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="tech:actor">
	<H3>Actor: <I><xsl:value-of select="@name"/></I></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="tech:precondition">
	<H3>Precondition</H3>
	<xsl:apply-templates select="UItemizedList|ListItem"/>
  </xsl:template>

  <xsl:template match="tech:eventFlow">
	<H3>Flow of Events</H3>
	<xsl:apply-templates select="OItemizedList|ListItem"/>
  </xsl:template>

  <xsl:template match="tech:postcondition">
	<H3>Postconditon</H3>
	<xsl:apply-templates select="UItemizedList|ListItem"/>
  </xsl:template>

  <xsl:template match="UItemizedList">
    	<UL><xsl:apply-templates/></UL>
  </xsl:template>

  <xsl:template match="OItemizedList">
    	<OL start="1" type="1"><xsl:apply-templates/></OL>
  </xsl:template>

  <xsl:template match="ListItem">
    	<LI><xsl:apply-templates/></LI>
  </xsl:template>

  <xsl:template match="Para">
    	<P><xsl:apply-templates/></P>
  </xsl:template>

  <xsl:template match="Pre">
    	<FONT SIZE="-2"><Pre><xsl:apply-templates/></Pre></FONT>
  </xsl:template>

</xsl:stylesheet>
