<?xml version="1.0"?>
<!--

 File Name:            presentation-fo.xslt

 Documentation:        <you wish> http://docs.4suite.com/stylesheets/presentation-fo.xslt.html

 Presentation stylesheet for formatting objects
 WWW: http://http://www.4suite.org/download.epy#XSLT_Transform_Collection
 e-mail: support@4suite.org

 This Stylesheet is placed in the public domain by the creators, Fourthought, Inc.

-->

<!--
Useful FO links:

http://www.ibiblio.org/xml/books/bible2/chapters/ch18.html
http://www.xml.com/pub/a/2001/01/17/xsl-fo/
http://www.xml.com/pub/a/2001/01/24/xsl-fo/index.html
http://www.renderx.com/Tests/doc/html/tutorial.html
http://zvon.org/xxl/xslfoReference/Output/index.html

-->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  xmlns:pres="http://xmlns.4suite.org/etc/presentation"
  xmlns:fo="http://www.w3.org/1999/XSL/Format"
  xmlns:exslt="http://exslt.org/common"
  xmlns:f="http://xmlns.4suite.org/ext"
  extension-element-prefixes="f"
  version="1.0"
>

<!--
  <xsl:import href='docbook_html1.xslt'/>
-->

  <xsl:output method="xml" indent="yes"/>

  <xsl:variable name='button-img' select='"blue_btn.gif"'/>
  <xsl:variable name='main-title' select='/*/@title'/>
  <xsl:variable name='nodes' select='//node()'/>
  <xsl:param name='form' select='"normal"'/>
  <xsl:variable name='pt-rtf'>
    <xsl:choose>
      <xsl:when test='$form="normal"'>
        <sz1>2pt</sz1>
        <sz2>4pt</sz2>
        <sz3>6pt</sz3>
        <sz4>8pt</sz4>
        <sz5>10pt</sz5>
        <sz6>12pt</sz6>
        <sz7>14pt</sz7>
        <sz8>16pt</sz8>
        <sz9>18pt</sz9>
        <sz12>24pt</sz12>
        <szpage>600</szpage>
      </xsl:when>
      <xsl:when test='$form="notes"'>
        <sz1>1pt</sz1>
        <sz2>3pt</sz2>
        <sz3>4pt</sz3>
        <sz4>5pt</sz4>
        <sz5>7pt</sz5>
        <sz6>8pt</sz6>
        <sz7>9pt</sz7>
        <sz8>11pt</sz8>
        <sz9>12pt</sz9>
        <sz12>16pt</sz12>
        <szpage>450</szpage>
      </xsl:when>
      <!--
      <xsl:when test='$form="notes"'>
        <sz1>1pt</sz1>
        <sz2>2pt</sz2>
        <sz3>3pt</sz3>
        <sz4>4pt</sz4>
        <sz5>5pt</sz5>
        <sz6>6pt</sz6>
        <sz7>7pt</sz7>
        <sz8>8pt</sz8>
        <sz9>9pt</sz9>
        <sz12>12pt</sz12>
        <szpage>300</szpage>
      </xsl:when>
      -->
      <!--
        <xsl:otherwise>
        </xsl:otherwise>
      -->
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name='pt' select='exslt:node-set($pt-rtf)'/>

  <xsl:preserve-space elements="doc:screen"/>

<!--
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>
-->

      <!-- A4
        <fo:simple-page-master master-name="first"
          page-height="29.7cm"
          page-width="21cm"
          margin-top="1cm"
          margin-bottom="1cm"
          margin-left="2.5cm"
          margin-right="2.5cm">
          <fo:region-body margin-top="1.5cm" margin-bottom="1.5cm"/>
          <fo:region-after extent="1cm"/>
-->
  <xsl:template match="pres:presentation">
<fo:root>
  <fo:layout-master-set>
    <fo:simple-page-master  master-name="US-Letter"
      page-height="11in"   page-width="8.5in"
      margin-top="0.5in"   margin-bottom="0.5in"
      margin-left="0.5in"  margin-right="0.5in">
      <fo:region-body/>
    </fo:simple-page-master>
    <fo:simple-page-master  master-name="first"
      page-height="11in"   page-width="8.5in"
      margin-top="0.5in"   margin-bottom="0.5in"
      margin-left="0.5in"  margin-right="0.5in">
      <fo:region-body margin-top='0.5in' margin-bottom='0.5in'/>
      <fo:region-after extent='0.25in'/>
    </fo:simple-page-master>
    <fo:simple-page-master  master-name="main"
      page-height="11in"   page-width="8.5in"
      margin-top="0.5in"   margin-bottom="0.5in"
      margin-left="0.5in"  margin-right="0.5in">
      <fo:region-before extent='1in'/>
      <fo:region-body margin-top='0.5in' margin-bottom='0.5in'/>
      <fo:region-after extent='0.25in'/>
    </fo:simple-page-master>
    <!--
         <fo:page-sequence-master master-name="contents">
           <fo:single-page-master-reference master-reference="US-Letter"/>
         </fo:page-sequence-master>
    -->

    <fo:page-sequence-master master-name='contents'>
      <fo:repeatable-page-master-alternatives>
        <fo:conditional-page-master-reference
          master-reference='first'
          page-position='first'/>
        <fo:conditional-page-master-reference
          master-reference='main'
          page-position='rest' />
      </fo:repeatable-page-master-alternatives>
    </fo:page-sequence-master>
  </fo:layout-master-set>

  <fo:page-sequence master-reference='contents'>
    <fo:static-content flow-name='xsl-region-before'>
      <fo:block text-align-last='end' font-size='10pt'>
        <fo:table>
          <!--
          <fo:table-column column-width='350pt'/>
          <fo:table-column column-width='105pt'/>
-->
          <fo:table-column column-width='300pt'/>
          <fo:table-column column-width='100pt'/>
          <fo:table-body>
            <fo:table-row>
              <fo:table-cell>
                <fo:block text-align="start">
                  <xsl:text>Uche Ogbuji</xsl:text>
                </fo:block>
              </fo:table-cell>
              <fo:table-cell>
                <fo:block text-align="end" font-family="monospace">
                  <xsl:text>http://fourthought.com</xsl:text>
                </fo:block>
              </fo:table-cell>
            </fo:table-row>
          </fo:table-body>
        </fo:table>
      </fo:block>
    </fo:static-content>
    <fo:static-content flow-name='xsl-region-after'>
      <fo:block text-align-last='end' font-size='10pt'>
        <fo:table>
          <fo:table-column column-width='300pt'/>
          <fo:table-column column-width='100pt'/>
          <fo:table-body>
            <fo:table-row>
              <fo:table-cell>
                <fo:block text-align="start">
                  <xsl:value-of select="@title"/>
                </fo:block>
              </fo:table-cell>
              <fo:table-cell>
                <fo:block text-align="end">Page <fo:page-number/></fo:block>
              </fo:table-cell>
            </fo:table-row>
          </fo:table-body>
        </fo:table>
      </fo:block>
    </fo:static-content>
    <fo:flow flow-name="xsl-region-body">
      <xsl:apply-templates select="pres:frontispiece" mode="front-page"/>
      <!--
      <xsl:call-template name="toc"/>
      -->
      <xsl:choose>
        <xsl:when test='$form="normal"'>
          <xsl:apply-templates select="pres:slide" mode="normal"/>
        </xsl:when>
        <xsl:when test='$form="notes"'>
          <xsl:call-template name="next-page-notes">
            <xsl:with-param name="slides" select="pres:slide"/>
          </xsl:call-template>
        </xsl:when>
      </xsl:choose>
      <!--
      <xsl:call-template name="colophon"/>
      -->
    </fo:flow>
  </fo:page-sequence>
</fo:root>
  </xsl:template>

  <xsl:template match="pres:slide" mode="normal">
    <xsl:message>
      <xsl:value-of select="pres:title"/>
    </xsl:message>
    <fo:block
      break-before="page"
      space-after.optimum="{$pt/sz6}"
      line-height="{$pt/sz7}"
      font-size="{$pt/sz6}"
      text-align="start"
      id="{@outfile}">
      <!--
           <fo:block font-weight="bold"
             font-family="Helvetica, Arial, sans"
             font-size="12pt">
      -->
      <fo:block
        font-weight="bold"
        space-after.optimum="{$pt/sz9}"
        font-size="{$pt/sz6}">
        <xsl:value-of select="pres:title"/>
      </fo:block>
    <xsl:apply-templates/>
    </fo:block>
  </xsl:template>

  <xsl:template name="next-page-notes">
    <xsl:param name="slides"/>
    <xsl:message>
      <xsl:value-of select="$slides[1]/pres:title"/>
      Remaining: <xsl:value-of select="count($slides)"/>
    </xsl:message>
    <xsl:if test="$slides">
    <fo:block break-before="page">
      <fo:table>
        <fo:table-column column-width='530pt'/>
        <fo:table-body>
          <fo:table-row height='350pt'>
            <fo:table-cell>
    <fo:block
      space-after.optimum="{$pt/sz6}"
      line-height="{$pt/sz7}"
      font-size="{$pt/sz6}"
      text-align="start"
      id="{$slides[1]/@outfile}">
      <!--
           <fo:block font-weight="bold"
             font-family="Helvetica, Arial, sans"
             font-size="12pt">
      -->
      <fo:block
        font-weight="bold"
        space-after.optimum="{$pt/sz9}"
        font-size="{$pt/sz6}">
        <xsl:value-of select="$slides[1]/pres:title"/>
      </fo:block>
      <xsl:apply-templates select="$slides[1]/*"/>
    </fo:block>
            </fo:table-cell>
          </fo:table-row>
    <xsl:if test="$slides[2]">
          <fo:table-row height='400pt'>
            <fo:table-cell>
    <fo:block
      space-after.optimum="{$pt/sz6}"
      line-height="{$pt/sz7}"
      font-size="{$pt/sz6}"
      text-align="start"
      id="{$slides[2]/@outfile}">
      <!--
           <fo:block font-weight="bold"
             font-family="Helvetica, Arial, sans"
             font-size="12pt">
      -->
      <fo:block
        font-weight="bold"
        space-after.optimum="{$pt/sz9}"
        font-size="{$pt/sz6}">
        <xsl:value-of select="$slides[2]/pres:title"/>
      </fo:block>
      <xsl:apply-templates select="$slides[2]/*"/>
    </fo:block>
            </fo:table-cell>
          </fo:table-row>
        </xsl:if>
        </fo:table-body>
      </fo:table>
    </fo:block>

    <xsl:call-template name="next-page-notes">
      <xsl:with-param name="slides" select="$slides[position() > 2]"/>
    </xsl:call-template>
    </xsl:if>
  </xsl:template>

  <xsl:template match="pres:frontispiece"/>

  <xsl:template match="pres:frontispiece" mode="front-page">
          <fo:block space-after.optimum="{$pt/sz9}" line-height="{$pt/sz12}" font-size="{$pt/sz12}" font-weight="bold" text-align="center">
            <xsl:value-of select="$main-title"/>
          </fo:block>
          <fo:block space-after.optimum="{$pt/sz6}" line-height="{$pt/sz9}" font-size="{$pt/sz7}" text-align="center">
            <xsl:value-of select="pres:presenters"/>
          </fo:block>
          <fo:block space-after.optimum="{$pt/sz6}" line-height="{$pt/sz9}" font-size="{$pt/sz7}" text-align="center">
            <!--fo:external-graphic src='file:{f:resolve-url(f:base-uri(document("")), "4thlogo.gif")}'/-->
            <fo:external-graphic src='file:4thlogo.gif'/>
          </fo:block>
          <xsl:if test="pres:logo[2]">
            <fo:block space-after.optimum="{$pt/sz6}" line-height="{$pt/sz9}" font-size="{$pt/sz7}" text-align="center">
              <fo:external-graphic src='file:{pres:logo[2]/@src}'/>
            </fo:block>
          </xsl:if>
          <fo:block space-after.optimum="{$pt/sz6}" line-height="{$pt/sz9}" font-size="{$pt/sz7}" text-align="center">
            <fo:inline text-align="start"><xsl:value-of select="pres:forum"/></fo:inline>
            <fo:inline text-align="end"><xsl:value-of select="pres:date"/></fo:inline>
          </fo:block>
          <fo:block space-after.optimum="{$pt/sz12}" line-height="{$pt/sz9}" font-size="{$pt/sz7}" text-align="center" font-weight="bold" font-family="monospace">
            <xsl:text>http://fourthought.com</xsl:text>
          </fo:block>
  </xsl:template>


  <xsl:template match="pres:slide"/>

  <xsl:template match='pres:notes'/>

  <xsl:template match='doc:mediaobject'>
    <fo:block>
      <fo:external-graphic src='file:{doc:imageobject/doc:imagedata/@fileref}' scaling="uniform">
        <xsl:if test="$form='notes'">
          <xsl:attribute name="width"><xsl:value-of select="number(doc:imageobject/doc:imagedata/@width) div 2"/>px</xsl:attribute>
          <xsl:attribute name="height"><xsl:value-of select="number(doc:imageobject/doc:imagedata/@depth) div 2"/>px</xsl:attribute>
        </xsl:if>
      </fo:external-graphic>
    </fo:block>
  </xsl:template>

  <xsl:template match='doc:ulink'>
    <xsl:if test="@linkend">
      <xsl:message>Warning: you probably meant to use the attribute "url" rather than "linkend", which is wrong and will soon no longer work.</xsl:message>
    </xsl:if>
    <fo:basic-link external-destination="{@url|@linkend}" text-decoration="underline" color="green">
      <xsl:apply-templates/>
    </fo:basic-link>
  </xsl:template>

  <xsl:template match="pres:title">
  </xsl:template>

  <xsl:template match="doc:screen">
   <fo:block font-family="monospace" color="darkblue" font-size="{$pt/sz6}" white-space-collapse="false">
     <xsl:apply-templates/>
   </fo:block>
  </xsl:template>

  <xsl:template match="doc:para">
   <fo:block>
     <xsl:apply-templates/>
   </fo:block>
  </xsl:template>

  <xsl:template match="doc:itemizedlist">
<!--
    <fo:list-block line-height="{$pt/sz12}" font-family="Arial, Helvetica, sans" color="red" font-size="{$pt/sz8}">
-->
    <fo:list-block line-height="{$pt/sz8}" color="red" font-size="{$pt/sz6}">
      <xsl:apply-templates/>
    </fo:list-block>
  </xsl:template>

  <xsl:template match="doc:listitem">
    <fo:list-item>
      <fo:list-item-label start-indent="{$pt/sz7}" end-indent="{$pt/sz7}">
        <fo:block>*</fo:block>
      </fo:list-item-label>
      <fo:list-item-body start-indent="{$pt/sz12}">
        <fo:block><xsl:apply-templates/></fo:block>
      </fo:list-item-body>
    </fo:list-item>
  </xsl:template>

<!--

  <xsl:template match="doc:itemizedlist">
    <fo:block><xsl:apply-templates/></fo:block>
  </xsl:template>

  <xsl:template match="doc:listitem">
    <fo:block line-height="20px">
      <fo:external-graphic src="file:blue_btn.gif" height="auto" width="auto" content-height="auto" content-width="auto"/>  <xsl:apply-templates/>
    </fo:block>
  </xsl:template>

-->

  <xsl:attribute-set name="table-border">
    <xsl:attribute name="border-before-color">blue</xsl:attribute>
    <xsl:attribute name="border-before-width">2pt</xsl:attribute>
    <xsl:attribute name="border-after-color">blue</xsl:attribute>
    <xsl:attribute name="border-after-width">2pt</xsl:attribute>
    <xsl:attribute name="border-start-color">blue</xsl:attribute>
    <xsl:attribute name="border-start-width">2pt</xsl:attribute>
    <xsl:attribute name="border-end-color">blue</xsl:attribute>
    <xsl:attribute name="border-end-width">2pt</xsl:attribute>
  </xsl:attribute-set>

  <xsl:template match='doc:table'>
    <!--
    <fo:table-and-caption caption-side="top">
      <fo:table-caption>
        <fo:block>
          <xsl:value-of select="doc:title"/>
        </fo:block>
      </fo:table-caption>
-->
      <xsl:variable name="cols" select="count(doc:tgroup/doc:tbody/doc:row[1]/doc:entry)"/>
      <fo:table xsl:use-attribute-sets="table-border">
        <xsl:for-each select="$nodes[position() &lt;= $cols]">
          <fo:table-column column-width='{number($pt/szpage) div $cols}pt'/>
        </xsl:for-each>
        <!--
        <xsl:if test="@frame!='none'">
          <xsl:attribute name='border'>1pt</xsl:attribute>
        </xsl:if>
-->
        <fo:table-body>
          <xsl:apply-templates select="doc:tgroup/doc:tbody"/>
        </fo:table-body>
      </fo:table>
    <!--/fo:table-and-caption-->
  </xsl:template>

  <xsl:template match='doc:row'>
    <fo:table-row>
      <xsl:apply-templates/>
    </fo:table-row>
  </xsl:template>

  <xsl:template match='doc:entry'>
    <fo:table-cell>
      <fo:block font-size="{$pt/sz5}">
        <xsl:apply-templates/>        
      </fo:block>
    </fo:table-cell>
  </xsl:template>

</xsl:stylesheet>
