<?xml version="1.0"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:ft="http://FourThought.com/namespaces/Common"
  xmlns:fte="http://Fourthought.com/4Suite/XPath/Extensions"
  xmlns:schema="http://Fourthought.com/namespaces/Schema"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  version="1.0"
>

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:template match="/schema:Schema">
    <HTML>
      <HEAD><TITLE><xsl:value-of select="@name"/></TITLE></HEAD>
      <BODY>
      <xsl:apply-templates select="schema:Object"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="schema:Object">

    <A name="{@name}"><H2><xsl:value-of select="@name"/></H2></A>
    <xsl:variable name="Statements" select="/schema:Schema/schema:Statement[@subject=current()/@name]"/>
    <TABLE>
      <TR>
        <TH>Subject</TH>
        <TH>Predicate</TH>
        <TH>Object</TH>
      </TR>
      <xsl:if test="count($Statements) > 0">
        <xsl:for-each select="$Statements">
	  <TR>
            <TD><xsl:value-of select="@subject"/></TD>
	    <TD><xsl:value-of select="@predicate"/></TD>
            <TD>
	    <xsl:choose>
              <xsl:when test="count(/schema:Schema/schema:Object[@name=current()/@object]) > 0">
	         <A HREF="#{/schema:Schema/schema:Object[@name=current()/@object]/@name}"><xsl:value-of select="@object"/></A>
              </xsl:when>
	      <xsl:otherwise>
	        <xsl:value-of select="@object"/>
              </xsl:otherwise>
             </xsl:choose>
             </TD>
          </TR>
        </xsl:for-each>
      </xsl:if>
    </TABLE>
  </xsl:template>
</xsl:stylesheet>