<?xml version="1.0"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:ft="http://namespaces.fourthought.com/common"
  xmlns:c="http://namespaces.fourthought.com/contractual"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  version="1.0"
>

  <xsl:import href='docbook_html1.xslt'/>

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:key name='phrases' match='ft:group/ft:phrase' use='concat(../@name, ".", @name)'/>

  <xsl:variable name='phrase-doc' select='document("phrases.xml")'/>
  <xsl:variable name='header' select='/c:Sow/c:Header'/>

  <xsl:template match="c:Sow">
    <HTML>
    <HEAD>
      <TITLE>Statement of Work: <xsl:value-of select='@title'/></TITLE>
    </HEAD>
    <BODY>
      <table BORDER='0'>
        <tr>
          <td ROWSPAN="6"><img SRC="http://www.fourthought.com/images/4thlogo-subtitled-hiq.png"/></td>
          <td WIDTH="100"></td>
          <td>4735 East Walnut St</td>
        </tr>
        <tr>
          <td WIDTH="100"></td>
          <td>Boulder, CO 80301-2537</td>
        </tr>
        <tr>
          <td WIDTH="100"></td>
          <td>(303) 583-9900</td>
        </tr>
        <tr>
          <td WIDTH="100"></td>
          <td>Fax: (303) 583-9909</td>
        </tr>
        <tr>
          <td WIDTH="100"></td>
          <td>info@fourthought.com</td>
        </tr>
      </table>
      <BR/>
      <HR/>
      <H1>Statement of Work</H1>
    <xsl:apply-templates/>

<BR/>
<BR/>
	<P>
The signatures of the authorized representatives of Fourthought and
<xsl:value-of select="$header/c:Client/@name"/> shall constitute acceptance
of this Statement of Work as set forth above.
    </P>
<BR/>
<BR/>
<BR/>
<BR/>
______________________________________________________________________
<P><xsl:value-of select="$header/c:Consultants/c:Contact[@desc='Primary']/c:Name"/></P>
<P><xsl:value-of select="$header/c:Consultants/c:Contact[@desc='Primary']/c:Title"/></P>
<P>Fourthought, Inc.</P>

<BR/>
<BR/>
______________________________________________________________________
<P><xsl:value-of select="$header/c:Client/c:Contact[@desc='Primary']/c:Name"/></P>
<P><xsl:value-of select="$header/c:Client/c:Contact[@desc='Primary']/c:Title"/></P>
<P><xsl:value-of select="$header/c:Client/@name"/></P>

    </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="c:Other">
    <xsl:apply-templates select="doc:*"/>
  </xsl:template>

  <xsl:template match="c:Overview">
    <H3>Overview</H3>
    <xsl:apply-templates select="doc:*"/>
  </xsl:template>

  <xsl:template match="c:ProjectPlan">
    <H3>Project Plan</H3>
    <xsl:apply-templates select="doc:*"/>
  </xsl:template>

  <xsl:template match="c:Cost">
    <H3>Project Cost</H3>
    <xsl:apply-templates select="doc:*"/>
  </xsl:template>

  <xsl:template match="c:ChangeControl">
    <H3>Change Control</H3>
    <xsl:apply-templates select="doc:*"/>
  </xsl:template>

  <xsl:template match="c:Requirements">
    <H3>Project Requirements</H3>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="c:Consultants">
    <P><xsl:apply-templates/></P>
  </xsl:template>

  <xsl:template match="c:Header">
    <TABLE WIDTH="100%" BORDER="1">
    <xsl:apply-templates/>
    <TR><TD>Description</TD><TD><xsl:value-of select="@desc"/></TD></TR>
    <TR><TD>Start Date</TD><TD><xsl:value-of select="@initDate"/></TD></TR>
    </TABLE>
  </xsl:template>

  <xsl:template match="c:Client">
    <TR><TD><B>Client</B></TD><TD><xsl:value-of select="@name"/></TD></TR>
    <xsl:for-each select="c:Contact"><TR><TD>Client's <xsl:value-of select="@desc"/> Contact</TD><TD><xsl:value-of select="c:Name"/></TD></TR></xsl:for-each>
  </xsl:template>

  <xsl:template match="c:Contact">
    <TR>
    <TD>Contractor's <xsl:value-of select="@desc"/> Contact</TD><TD><xsl:value-of select="c:Name"/></TD>
    </TR>
  </xsl:template>

  <xsl:template match="c:Terminology">
    <H3>Terminology</H3>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="c:ClientName">
    <xsl:value-of select="$header/c:Client/@name"/>
  </xsl:template>

  <xsl:template match="c:ClientAbbr">
    <xsl:value-of select="$header/c:Client/@abbrev"/>
  </xsl:template>

</xsl:stylesheet>
