<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f	"http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1/">
  <!ENTITY fschema "http://schemas.4suite.org/4ss">
  <!ENTITY vcard "http://4suite.org/nexus/rdfs/vcard#">
]>
<xsl:stylesheet
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:fcore="http://xmlns.4suite.org/4ss/score" 
  xmlns:frdf="http://xmlns.4suite.org/4ss/rdf" 
  xmlns:fhttp="http://xmlns.4suite.org/4ss/http"
  xmlns:exslt="http://exslt.org/common"
  xmlns:exslt-set="http://exslt.org/sets"
  xmlns:exslt-math="http://exslt.org/math"
  xmlns:exslt-functions="http://exslt.org/functions"
  xmlns:exslt-date-time="http://exslt.org/dates-and-times"
  xmlns:xupdate="http://www.xmldb.org/xupdate"
  xmlns:dc="&dc;" 
  xmlns:fres="&fres;"
  xmlns:rdf="&rdf;" 
  xmlns:f="&f;" 
  xmlns:vcard="&vcard;" 
  xmlns:fschema="http://schemas.4suite.org/4ss"
  xmlns:cext="http://xmlns.4suite.org/demos/cards"
  extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time cext">

  <!--
File:  FILENAME HERE

Description:

       Process a set of change elements both to produce a set of xupdates, and determine the next where to redirect too.


WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2000-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information

  -->

  <xsl:import href='draw-screen.xsl'/>

  <xsl:include href='globals.xsl'/>

  <xsl:template match="/cribbage">
    <xsl:call-template name='draw-screen'>
      <xsl:with-param name='form-action' select='"../move-human.xsl"'/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name='playing-area'>
    <xsl:param name='cur-dealer'/>
    <!-- Play info -->
    <TABLE BORDER='1'>
      <TR>
        <xsl:for-each select='key("players",1)/played-cards/Card'>
          <TD><IMG src='{@img}'/></TD>
        </xsl:for-each>
        <xsl:if test='count(key("players",1)/played-cards/Card) &lt; 1'>
          <TD><IMG src='/images/cards/X.png'/></TD>
        </xsl:if>
        <xsl:if test='count(key("players",1)/played-cards/Card) &lt; 2'>
          <TD><IMG src='/images/cards/X.png'/></TD>
        </xsl:if>
        <xsl:if test='count(key("players",1)/played-cards/Card) &lt; 3'>
          <TD><IMG src='/images/cards/X.png'/></TD>
        </xsl:if>
        <xsl:if test='count(key("players",1)/played-cards/Card) &lt; 4'>
          <TD><IMG src='/images/cards/X.png'/></TD>
        </xsl:if>
      </TR>
      <TR>
        <xsl:for-each select='key("players",2)/played-cards/Card'>
          <TD><IMG src='{@img}'/></TD>
        </xsl:for-each>
        <xsl:if test='count(key("players",2)/played-cards/Card) &lt; 1'>
          <TD><IMG src='/images/cards/X.png'/></TD>
        </xsl:if>
        <xsl:if test='count(key("players",2)/played-cards/Card) &lt; 2'>
          <TD><IMG src='/images/cards/X.png'/></TD>
        </xsl:if>
        <xsl:if test='count(key("players",2)/played-cards/Card) &lt; 3'>
          <TD><IMG src='/images/cards/X.png'/></TD>
        </xsl:if>
        <xsl:if test='count(key("players",2)/played-cards/Card) &lt; 4'>
          <TD><IMG src='/images/cards/X.png'/></TD>
        </xsl:if>
      </TR>
    </TABLE>
  </xsl:template>

  <xsl:template match='Card' mode='player-hand'>
    <TD>
      <INPUT TYPE='IMAGE' NAME='play{position()}' VALUE='{@short-name}' src="{@img}"/>
    </TD>
  </xsl:template>

  <xsl:template match='Card' mode='cut-card'>
    <TR>
      <TD ALIGN='CENTER' COLSPAN='2'>
        <IMG src='{@img}'/>
      </TD>
    </TR>
  </xsl:template>

  <xsl:template name='cur-count'>
    <TR>
      <TD ALIGN='CENTER' COLSPAN='2'>
        Current Count: <xsl:value-of select='sum(/cribbage/game-info/cur-count/score)'/>
      </TD>
    </TR>
  </xsl:template>

  <xsl:template name='player-hand-other'>
    <INPUT TYPE='SUBMIT' NAME='GO' VALUE='GO'/>
    <!--<INPUT TYPE='CHECKBOX' NAME='NOSUB' VALUE='1'/>No Submit-->
  </xsl:template>

</xsl:stylesheet>
