<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f	"http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1/">
  <!ENTITY fschema "http://schemas.4suite.org/4ss">
  <!ENTITY vcard "http://4suite.org/nexus/rdfs/vcard#">
]>
<xsl:stylesheet
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:fcore="http://xmlns.4suite.org/4ss/score" 
  xmlns:frdf="http://xmlns.4suite.org/4ss/rdf" 
  xmlns:fhttp="http://xmlns.4suite.org/4ss/http"
  xmlns:exslt="http://exslt.org/common"
  xmlns:exslt-set="http://exslt.org/sets"
  xmlns:exslt-math="http://exslt.org/math"
  xmlns:exslt-functions="http://exslt.org/functions"
  xmlns:exslt-date-time="http://exslt.org/dates-and-times"
  xmlns:dc="&dc;" 
  xmlns:fres="&fres;"
  xmlns:rdf="&rdf;" 
  xmlns:f="&f;" 
  xmlns:vcard="&vcard;" 
  xmlns:fschema="http://schemas.4suite.org/4ss"
  extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time">

  <!--
File:  FILENAME HERE

Description:

    DESCRIPTION HERE


WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2000-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information

  -->
  <xsl:import href='draw-screen.xsl'/>
  <xsl:include href='globals.xsl'/>

  <xsl:template match="/cribbage">
    <xsl:call-template name='draw-screen'>
      <xsl:with-param name='form-action' select='"../redirect-new-hand.xsl"'/>
      <xsl:with-param name='show-all' select='1'/>
      <xsl:with-param name='show-puter' select='1'/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name='playing-area'>

    <H2><xsl:value-of select='key("players",$initial-dealer)/name'/><xsl:text>'s crib</xsl:text></H2>

    <!-- Play info show the crib-->
    <TABLE BORDER='1'>
      <TR>
        <xsl:for-each select='/cribbage/crib-info/Card'>
          <TD><IMG src='{@img}'/></TD>
        </xsl:for-each>
      </TR>
    </TABLE>
  </xsl:template>

  <xsl:template match='Card' mode='player-hand'>
    <TD><IMG src='{@img}'/></TD>
  </xsl:template>

  <xsl:template match='Card' mode='cut-card'>
    <TR>
      <TD ALIGN='CENTER' COLSPAN='2'>
        <IMG src='{@img}'/>
      </TD>
    </TR>
  </xsl:template>

  <xsl:template name='cur-count'>
    <TR>
      <TD ALIGN='CENTER' COLSPAN='2'>
        Final Count: <xsl:value-of select='sum(/cribbage/game-info/cur-count/score)'/>
      </TD>
    </TR>
  </xsl:template>


  <xsl:template name='player-hand-other'>
    <INPUT TYPE='SUBMIT' VALUE='Redeal'/>
  </xsl:template>

</xsl:stylesheet>
