<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f	"http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1/">
]>
<xsl:stylesheet
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:fcore="http://xmlns.4suite.org/4ss/score" 
  xmlns:frdf="http://xmlns.4suite.org/4ss/rdf" 
  xmlns:fhttp="http://xmlns.4suite.org/4ss/http"
  xmlns:exslt="http://exslt.org/common"
  xmlns:exslt-set="http://exslt.org/sets"
  xmlns:exslt-math="http://exslt.org/math"
  xmlns:exslt-functions="http://exslt.org/functions"
  xmlns:exslt-date-time="http://exslt.org/dates-and-times"
  xmlns:dc="&dc;" 
  xmlns:fres="&fres;"
  xmlns:rdf="&rdf;" 
  xmlns:f="&f;" 
  extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time">

  <!--
File:  front.xslt

Description:

    This file created the main view of the GuestBook Demo application.  It uses frdf:complete to get a list of
    all guests in the system, then creates a table from them.


WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2000-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information

  -->
  <xsl:param name="fres:uri-path"/>
  <xsl:output method="html"/>
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>Sample Guest Book application</TITLE>
        <link rel="STYLESHEET" type="text/css" href="/GuestBook/gb-netscape.css"/>
        <script language="JavaScript1.2" type="text/javascript">
          <xsl:comment>
        if (document.all) document.createStyleSheet("gb-ie.css");
        
			function submitForm(form, action){
				document.main.action= action;
				document.main.submit();
			}
			
			function confirmRecordDelete( name ){
				if( !confirm('Are you sure you want to delete this ' + escape(name) + '?')){
					return false;
				}
				else {
					document.main.actionToDo.value = 'delete';
					document.main.submit();
				}
			}			
                        
        function validateQty(){
          if( document.main.qty.value &gt; 0 ){
              document.main.actionToDo.value = 'add';
              document.main.submit();
          }
          else {
                  alert('Quantity must be greater than zero!');
                  return false;
          }
			}

        </xsl:comment>
        </script>
      </HEAD>
      
      <BODY class="normal">
        <table class="normal" cellspacing="0" width="100%" cellpadding="5">
          <tr height="40" align="center">
            <td class="logo" colspan="2">Guest Book</td>
          </tr>
          <tr class="cellBlue">
            <td class="menu" colspan="2" align="left">Guests in the system</td>
          </tr>
          <tr>
            <td>
              <table border="1" width="100%" cellpadding="2" bgcolor="#FFFFFF" bordercolorlight="#C0C0C0" class="normal">
                <tr class="cellGray">
                  <td class="blackTitle" align="center">Name</td>
                  <td class="blackTitle" align="center">Email Address</td>
                  <td class="blackTitle" align="center">Description</td>
                </tr>
                
                <f:assign name="guest-list" body-as-ns="yes">
                  <frdf:complete p="'&rdf;type'" o="'http://4Suite.org/guest'"/>
                </f:assign>
                
                <xsl:choose>
                  <xsl:when test="count($guest-list/Statement/Subject)">
                    <xsl:apply-templates select="$guest-list/Statement/Subject" mode="show-guest"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <tr>
                      <td align="center" colspan="3">No Guest Registered</td>
                    </tr>
                  </xsl:otherwise>
                </xsl:choose>
                
              </table>
            </td>
          </tr>
        </table>
        
        <p>Would you like to be registered as a guest on the system?</p>
        <p>Simply enter in some basic information and press register</p>
        
        <FORM action="{$fres:uri-path}" METHOD="POST">
          <table width="100%" cellpadding="5" class="normal">
            <tr>
              <td class="blackTitle" width="25%">Name: </td>
              <td>
                <INPUT TYPE="TEXT" NAME="name" size="35"/>
              </td>
            </tr>
            <tr>
              <td class="blackTitle" width="25%">Email Address: </td>
              <td>
                <INPUT TYPE="TEXT" NAME="email" size="35"/>
              </td>
            </tr>
            <tr>
              <td class="blackTitle" width="25%">Brief Description: </td>
              <td>
                <INPUT TYPE="TEXT" NAME="description" size="35"/>
              </td>
            </tr>
            <tr>
              <td colspan="2" align="left">
                <INPUT TYPE="SUBMIT" VALUE="Register"/>
              </td>
            </tr>
          </table>
          <INPUT TYPE="HIDDEN" NAME="xslt" VALUE="newGuest.xslt"/>
        </FORM>
        <hr/>
        <p>
        If you'd like to know how this works behind the scenes, read the <a href="tech.doc?xslt=/ftss/data/docbook_html1.xslt">tech tour</a>.
      </p>
      </BODY>
    </HTML>
  </xsl:template>
  
  <xsl:template match="Subject" mode="show-guest">
    <xsl:param name="name" select='frdf:complete(.,"&dc;title","")/Object'/>
    <xsl:param name="description" select='frdf:complete(.,"&dc;description","")/Object'/>
    <xsl:param name="email" select='frdf:complete(.,"http://4Suite.org/guest#Email","")/Object'/>
    <TR>
      <TD>
        <xsl:value-of select="$name"/>
      </TD>
      <TD>
        <a href="mailto:{$email}">
          <xsl:value-of select="$email"/>
        </a>
      </TD>
      <TD>
        <xsl:value-of select="$description"/>
      </TD>
    </TR>
  </xsl:template>
</xsl:stylesheet>
