from Ft.Xml.Lib.Nss import PyGetAllNs, GetAllNs
from Ft.Xml import FtMiniDom, cDomlette, InputSource, cDomlettec


def Test(tester):

    tester.startGroup("Split QName")
    for (name,func) in [("Python Get",PyGetAllNs),
                        ("C Get All Ns",cDomlettec.GetAllNs),
                        ("Default",GetAllNs)]:
        tester.startGroup(name)
        readers = [("cDomlette src",cDomlette.nonvalParse,cDomlettec.implementation)]
        from Ft.Xml import HAS_PYEXPAT
        if HAS_PYEXPAT:
            readers.append(("minidom src",FtMiniDom.nonvalParse,FtMiniDom.implementation))
        for (name,reader,imp) in readers:
            tester.startGroup(name)

            src_1 = "<foo:bar xmlns:foo='http://foo.com'><baz:bar xmlns:baz='http://baz.com'/></foo:bar>"
            isrc = InputSource.DefaultFactory.fromString(src_1,"dummy")
            doc = reader(isrc)

            tester.startTest("Simple")
            node = doc.documentElement
            res = func(node)
            tester.compare(2,len(res.keys()))
            tester.compare(1,res.has_key('xml'))
            tester.compare(1,res.has_key('foo'))
            tester.compare('http://foo.com',res['foo'])
            tester.compare('http://www.w3.org/XML/1998/namespace',res['xml'])
            tester.testDone()


            tester.startTest("Simple One Deep")
            node = doc.documentElement.firstChild
            res = func(node)
            tester.compare(3,len(res.keys()))
            tester.compare(1,res.has_key('xml'))
            tester.compare(1,res.has_key('foo'))
            tester.compare(1,res.has_key('baz'))
            tester.compare('http://foo.com',res['foo'])
            tester.compare('http://baz.com',res['baz'])
            tester.compare('http://www.w3.org/XML/1998/namespace',res['xml'])
            tester.testDone()

            src_2 = "<foo:bar xmlns='http://default.com' xmlns:foo='http://foo.com' xmlns:baz='http://baz.com'/>"
            isrc = InputSource.DefaultFactory.fromString(src_2,"dummy")
            doc = reader(isrc)

            tester.startTest("Unused xmlns declaration")
            node = doc.documentElement
            res = func(node)
            tester.compare(4,len(res.keys()))
            tester.compare(1,res.has_key('xml'))
            tester.compare(1,res.has_key('foo'))
            tester.compare(1,res.has_key('baz'))
            tester.compare(1,res.has_key(None))
            tester.compare('http://foo.com',res['foo'])
            tester.compare('http://baz.com',res['baz'])
            tester.compare('http://default.com',res[None])
            tester.compare('http://www.w3.org/XML/1998/namespace',res['xml'])
            tester.testDone()

            doc = imp.createDocument(None,None,None)
            elem = doc.createElementNS("http://element.com","foo:root")
            elem.setAttributeNS("http://www.w3.org/2000/xmlns/","xmlns:foo","http://attrDecl")

            tester.startTest("Different element and namespace decl")
            res = func(elem)
            tester.compare(2,len(res.keys()))
            tester.compare(1,res.has_key('xml'))
            tester.compare(1,res.has_key('foo'))
            tester.compare('http://element.com',res['foo'])
            tester.compare('http://www.w3.org/XML/1998/namespace',res['xml'])
            tester.testDone()



            tester.groupDone()
        tester.groupDone()
    tester.groupDone()

